-thesaurus packages need alternate language-support- dependencies

Bug #201114 reported by Axel Reimer on 2008-03-11
8
Affects Status Importance Assigned to Milestone
openoffice.org-l10n (Ubuntu)
High
Unassigned
Hardy
High
Steve Langasek
openthesaurus (Ubuntu)
Undecided
Martin Pitt
Hardy
Medium
Unassigned

Bug Description

Binary package hint: language-support-de

In Hardy and Gutsy the dependencies of the language support packages are too strong.

Example: Just try to deinstall OpenOffice.org from a German Ubuntu Version.
This will lead to the following problem:
openoffice.org-common should be removed
openoffice.org-l10n-de depends on openoffice.org-common and will be removed, too
language-support-translations-de depends on openoffice.org-l10n-de and will be removed, too
language-support-de depends on language-support-translations-de and will be removed, too
Since many packages were only installed because of these metapackages, they will be removed, too
This leads to a semi-translated ubuntu version.
This problem exists for nearly every language-support-package.

Best regards,

Axel

This Bug leads to the unwanted situation, that Users of localized (k)ubuntu cannot participate the quality-tests for OpenOffice.org.

This works as long as they stay a minority not worth to be mentioned. ;o))

For germanphone people here are links to discussions about this topic:
http://de.openoffice.org/servlets/ReadMsg?list=cdrom&msgNo=5380
http://de.openoffice.org/servlets/ReadMsg?list=cdrom&msgNo=5987

I'm writing this as coordinating person of the german PrOOo-Box project, which provides CD and DVD images for several OS platforms.

Gruß/regards

Friedrich

Ansprechpartner / contact person for the "PrOOo-Box"
german language OpenOffice.org and more on CD/DVD
http://prooo-box.org

Martin Pitt (pitti) wrote :

This is actually a regression in openoffice.org-l10n:

Package: openoffice.org-help-de
Depends: openoffice.org-l10n-de, openoffice.org-writer

It should be "Depends: openoffice.org-l10n-de, openoffice.org-writer | language-support-translations-de" (or at least "| language-support-de").

Changed in language-support-de:
assignee: nobody → ccheney
importance: Undecided → High
status: New → Triaged

Does this dependency lead to the situation, that OOo cannot be removed from an ubuntu installation or are there other dependencies that lead to this problem?

This bug is "fixed" when it is possible to remove OpenOffice.org from a localized ubuntu version without warnings and errors.

Chris Cheney (ccheney) on 2008-03-21
Changed in openoffice.org-l10n:
assignee: ccheney → nobody
status: Triaged → In Progress
Chris Cheney (ccheney) on 2008-04-03
Changed in openoffice.org-l10n:
status: In Progress → Fix Released
Axel Reimer (parity) wrote :

The Status off this issue is "Fix Released" but in Ubuntu 8.04 this issue is definitely not solved. It is not possible to remove OpenOffice.org from a successful Ubuntu installation without loosing a lot of the translation packages.

When will this bug be fixed? Or when will the fix be integrated in the stable Ubuntu releases?

Martin Pitt (pitti) wrote :

I confirmed that the dependencies are correct in Intrepid:

$ apt-cache show openoffice.org-l10n-de|grep Depends
Depends: openoffice.org-l10n-common (>= 1:2.4.1), openoffice.org-common (>= 1:2.4.1) | language-support-translations-de, openoffice.org-common (<< 1:2.4.1.1) | language-support-translations-de
$ apt-cache show openoffice.org-l10n-de|grep Depends
Depends: openoffice.org-l10n-common (>= 1:2.4.1), openoffice.org-common (>= 1:2.4.1) | language-support-
translations-de, openoffice.org-common (<< 1:2.4.1.1) | language-support-translations-de

In Hardy, -help-de is fine as well

$ apt-cache show openoffice.org-help-de|grep Depends
Depends: openoffice.org-l10n-de, openoffice.org-writer | language-support-translations-de

However, in hardy -l10n-de has a duplicate dependency to ooo-common, the latter one without alternative:

$ apt-cache show openoffice.org-l10n-de|grep Depends
Depends: openoffice.org-common (>= 1:2.4.1) | language-support-translations-de, openoffice.org-common (<< 1:2.4.1.1) | language-support-translations-de, openoffice.org-l10n-common (>= 1:2.4.1)

This is what is pulling in much of the openoffice.org stack.

Chris, can we please fix this along with the next OO.o hardy upload? Thank you!

Changed in openoffice.org-l10n:
assignee: nobody → ccheney
status: Fix Released → Confirmed
status: Confirmed → Triaged
Chris Cheney (ccheney) on 2008-10-16
Changed in openoffice.org-l10n:
milestone: none → ubuntu-8.04.2
Steve Langasek (vorlon) wrote :

Pushing the target milestone back to .3.

Chris, please keep this SRU issue on your radar, we should still get this fixed for 8.04 before the next point release.

Changed in openoffice.org-l10n:
milestone: ubuntu-8.04.2 → ubuntu-8.04.3

That are *very* bad news!

We were waiting with desire for that fix. In our docu we have to warn using our DVD repo with (K)ubuntu) and were expecting to get rid of that in 8.04.2.

Here the Link to the docu (german):
http://live.prooo-box.org/de/openoffice.org/linux/deb/prooo-box-metapackages/installationsanleitung.pdf

Is there any posibility to get it uploaded soon??

All 8.04LTS users other than english native version aren't able to get involved in OpenOffice.org project work! In my opinion this should be enough reason for uploading the fix without waiting another half year.

Expecting good news :o))

Friedrich

from PrOOo-Box project (german)
http://prooo-box.org/

Steve Langasek (vorlon) wrote :

reassigning to myself, Chris says he won't get to this for 8.04.3.

Changed in openoffice.org-l10n (Ubuntu Hardy):
assignee: Chris Cheney (ccheney) → Steve Langasek (vorlon)
Steve Langasek (vorlon) wrote :

$ apt-cache show openoffice.org-l10n-de|grep Depends
Depends: openoffice.org-common (>= 1:2.4.1) | language-support-translations-de, openoffice.org-common (<< 1:2.4.1.1) | language-support-translations-de, openoffice.org-l10n-common (>= 1:2.4.1)
$

Looking more closely at this, the only non-or'ed dep I see here is on openoffice.org-l10n-common. -l10n-common has no dependencies at all on the rest of OOo. And running 'apt-get install language-support-translations-de' in a hardy chroot doesn't try to pull in OOo, though it does pull in OOo-l10n-de and OOo-help-de. Is it possible this issue is fixed?

Changed in openoffice.org-l10n (Ubuntu Hardy):
status: Triaged → Incomplete
Martin Pitt (pitti) wrote :

Indeed oo.o-l10n-de is fixed now. The reason why an apt-get install language-support-de pulls in openoffice.org-{core,common} is

  Package: openoffice.org-thesaurus-de
  Depends: openoffice.org-core (>= 1.9), dictionaries-common (>= 0.10) | openoffice.org-updatedicts

Changed in openoffice.org-l10n (Ubuntu Hardy):
status: Incomplete → Fix Released
summary: - -help packages need alternate language-support- dependencies
+ -thesaurus packages need alternate language-support- dependencies
Changed in openthesaurus (Ubuntu Hardy):
importance: Undecided → Medium
status: New → Triaged
Changed in openthesaurus (Ubuntu):
status: New → Triaged
assignee: nobody → Martin Pitt (pitti)
status: Triaged → In Progress
Martin Pitt (pitti) on 2009-10-15
Changed in openthesaurus (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openthesaurus - 20080808-1ubuntu1

---------------
openthesaurus (20080808-1ubuntu1) karmic; urgency=low

  * debian/control: Add alternative language-support-writing-de dependencies,
    so that installing language-support-de does not pull in OO.o.
    (LP: #201114)

 -- Martin Pitt <email address hidden> Thu, 15 Oct 2009 12:23:03 +0200

Changed in openthesaurus (Ubuntu):
status: Fix Committed → Fix Released
Rolf Leggewie (r0lf) wrote :

Hardy has seen the end of its life and is no longer receiving any updates. Marking the Hardy task for this ticket as "Won't Fix".

Changed in openthesaurus (Ubuntu Hardy):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers